<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.mapper.ImApplicationMapper">

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id
        , create_time, update_time, app_key, app_secret, app_name, ios_push_channel, android_push_channel,umeng_key,umeng_secret,firebase_secret,repeat_session_status,contrast_extended_field_status

    </sql>

    <select id="getImApplicationById" resultType="com.wecloud.im.param.ImApplicationQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_application where id = #{id}
    </select>

    <select id="getImApplicationPageList" parameterType="com.wecloud.im.param.ImApplicationPageParam"
            resultType="com.wecloud.im.param.ImApplicationQueryVo">
        select
        <include refid="Base_Column_List"/>
        from im_application
    </select>

</mapper>
